// This file is generated by kconfig_compiler from settings_stream.kcfg.
// All changes you do to this file will be lost.

#include "settings_stream.h"

#include <klocale.h>

settings_stream::settings_stream(  KSharedConfig::Ptr config  )
  : KConfigSkeleton( config )
{
  setCurrentGroup( QLatin1String( "connection" ) );

  mServerUriItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "serverUri" ), mServerUri );
  mServerUriItem->setLabel( i18nc("@info:whatsthis", "stream server URL") );
  mServerUriItem->setWhatsThis( i18nc("@info:whatsthis", "URL of the stream server.") );
  addItem( mServerUriItem, QLatin1String( "serverUri" ) );
  mInfo_streamNameItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "info_streamName" ), mInfo_streamName );
  mInfo_streamNameItem->setLabel( i18nc("@info:whatsthis", "name of the stream") );
  mInfo_streamNameItem->setWhatsThis( i18nc("@info:whatsthis", "the name of the stream - as Streamripper has recognized it") );
  addItem( mInfo_streamNameItem, QLatin1String( "info_streamName" ) );
  mInfo_serverNameItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "info_serverName" ), mInfo_serverName );
  mInfo_serverNameItem->setLabel( i18nc("@info:whatsthis", "name of the server") );
  mInfo_serverNameItem->setWhatsThis( i18nc("@info:whatsthis", "the name of the server - as Streamripper has recognized it") );
  addItem( mInfo_serverNameItem, QLatin1String( "info_serverName" ) );
  mInfo_bitrateItem = new KConfigSkeleton::ItemLongLong( currentGroup(), QLatin1String( "info_bitrate" ), mInfo_bitrate, -2 );
  mInfo_bitrateItem->setMinValue(-2);
  mInfo_bitrateItem->setMaxValue(2147483647);
  mInfo_bitrateItem->setLabel( i18nc("@info:whatsthis", "bitrate") );
  mInfo_bitrateItem->setWhatsThis( i18nc("@info:whatsthis", "the bitrate of the stream - as Streamripper has recognized it. (-2 means: no value set. -1 or 0 means: unable to recognize bitrate.)") );
  addItem( mInfo_bitrateItem, QLatin1String( "info_bitrate" ) );
  mInfo_metaIntervalItem = new KConfigSkeleton::ItemLongLong( currentGroup(), QLatin1String( "info_metaInterval" ), mInfo_metaInterval, -2 );
  mInfo_metaIntervalItem->setMinValue(-2);
  mInfo_metaIntervalItem->setMaxValue(2147483647);
  mInfo_metaIntervalItem->setLabel( i18nc("@info:whatsthis", "meta data interval") );
  mInfo_metaIntervalItem->setWhatsThis( i18nc("@info:whatsthis", "the interval of sending meta data of the stream - as Streamripper has recognized it. (-2 means: no value set. -1 or 0 means: unable to read meta data.)") );
  addItem( mInfo_metaIntervalItem, QLatin1String( "info_metaInterval" ) );
  mAdvanced_useTimeoutItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "advanced_useTimeout" ), mAdvanced_useTimeout, true );
  mAdvanced_useTimeoutItem->setLabel( i18nc("@info:whatsthis", "timeout when no data is sent") );
  mAdvanced_useTimeoutItem->setWhatsThis( i18nc("@info:whatsthis", "Sometimes, streams will hang, which means they have not disconnected, but they are not sending any data. When you check this box, the connection will time out when the stream hangs.") );
  addItem( mAdvanced_useTimeoutItem, QLatin1String( "advanced_useTimeout" ) );
  mAdvanced_timeoutAfterXSecondsItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "advanced_timeoutAfterXSeconds" ), mAdvanced_timeoutAfterXSeconds, 15 );
  mAdvanced_timeoutAfterXSecondsItem->setMinValue(1);
  mAdvanced_timeoutAfterXSecondsItem->setMaxValue(32767);
  mAdvanced_timeoutAfterXSecondsItem->setLabel( i18nc("@info:whatsthis", "timeout after X seconds") );
  mAdvanced_timeoutAfterXSecondsItem->setWhatsThis( i18nc("@info:whatsthis", "After this many seconds, the program will make a timeout.") );
  addItem( mAdvanced_timeoutAfterXSecondsItem, QLatin1String( "advanced_timeoutAfterXSeconds" ) );
  mAdvanced_reconnectAfterDroppedOrTimeoutItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "advanced_reconnectAfterDroppedOrTimeout" ), mAdvanced_reconnectAfterDroppedOrTimeout, true );
  mAdvanced_reconnectAfterDroppedOrTimeoutItem->setLabel( i18nc("@info:whatsthis", "reconnect") );
  mAdvanced_reconnectAfterDroppedOrTimeoutItem->setWhatsThis( i18nc("@info:whatsthis", "Reconnect to stream server after the stream was dropped or after a timeout.") );
  addItem( mAdvanced_reconnectAfterDroppedOrTimeoutItem, QLatin1String( "advanced_reconnectAfterDroppedOrTimeout" ) );
  mAdvanced_userAgentStringItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "advanced_userAgentString" ), mAdvanced_userAgentString, QLatin1String( "KStreamRipper" ) );
  mAdvanced_userAgentStringItem->setLabel( i18nc("@info:whatsthis", "user agent string") );
  mAdvanced_userAgentStringItem->setWhatsThis( i18nc("@info:whatsthis", "The user agent string is sent to the server to identify KStreamRipper. If the server refuses the connection, try another value.") );
  addItem( mAdvanced_userAgentStringItem, QLatin1String( "advanced_userAgentString" ) );

  setCurrentGroup( QLatin1String( "splitting" ) );

  mOffsetItem = new KConfigSkeleton::ItemLongLong( currentGroup(), QLatin1String( "offset" ), mOffset, 0 );
  mOffsetItem->setMinValue(-32767);
  mOffsetItem->setMaxValue(32767);
  mOffsetItem->setLabel( i18nc("@info:whatsthis", "offset for metadata in ms") );
  mOffsetItem->setWhatsThis( i18nc("@info:whatsthis", "When metadata changes, the splitpoint detection starts. But the metadata often is not exactly synchronous with the audio signal. Here, you can defined an offset, so that splitpoint detections starts some ms before (negative value) or after (positive value) the metadata change.") );
  addItem( mOffsetItem, QLatin1String( "offset" ) );
  mSearchWindowItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "searchWindow" ), mSearchWindow, 12000 );
  mSearchWindowItem->setMinValue(2);
  mSearchWindowItem->setMaxValue(65534);
  mSearchWindowItem->setLabel( i18nc("@info:whatsthis", "search window for splitpoint detection in ms") );
  mSearchWindowItem->setWhatsThis( i18nc("@info:whatsthis", "During the splitpoint detection, Streamripper searchs for a silence point within the search window defined here. The search window must be bigger than silence window.") );
  addItem( mSearchWindowItem, QLatin1String( "searchWindow" ) );
  mSilenceWindowItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "silenceWindow" ), mSilenceWindow, 1000 );
  mSilenceWindowItem->setMinValue(1);
  mSilenceWindowItem->setMaxValue(32767);
  mSilenceWindowItem->setLabel( i18nc("@info:whatsthis", "silence window for splitpoint detection in ms") );
  mSilenceWindowItem->setWhatsThis( i18nc("@info:whatsthis", "This defines the length of the silence period for which is searched during the splitpoint detection. It must be smaller than the search window!") );
  addItem( mSilenceWindowItem, QLatin1String( "silenceWindow" ) );
  mCustomMetadataProcessingItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "customMetadataProcessing" ), mCustomMetadataProcessing, false );
  mCustomMetadataProcessingItem->setLabel( i18nc("@info:whatsthis", "Custom metadata processing") );
  mCustomMetadataProcessingItem->setWhatsThis( i18nc("@info:whatsthis", "Use a custom script to process the meta data. This way you can fine-tune the way KStreamRipper interprets the metadata.") );
  addItem( mCustomMetadataProcessingItem, QLatin1String( "customMetadataProcessing" ) );
  mParseRulesItem = new KConfigSkeleton::ItemString( currentGroup(), QLatin1String( "parseRules" ), mParseRules, QLatin1String( "##--------------------------------------------------------------------------!\n"
"#  This is an example of a file that can be customized for parsing metadata\n"
"#\n"
"#  You can read more about regular expressions at\n"
"#  http://library.gnome.org/devel/glib/stable/glib-regex-syntax.html\n"
"##--------------------------------------------------------------------------!\n"
"\n"
"# Lines that start with '#' are comments, and blank lines are ignored.\n"
"\n"
"#####  CAUTION: Do not place your USER ADDED RULES at the end of the default\n"
"#  parse_rules.txt file, because there is a [M]atch rule already there,\n"
"#  (Artist - Title), that will prevent Streamripper from processing them.\n"
"\n"
"#####  PUT YOUR USER ADDED RULES HERE:\n"
"\n"
"\n"
"#####  LEADING LETTERS:\n"
"# Rules can start with 'm' for match or 's' for substitute.\n"
"# m - [M]atch\n"
"# s - [S]ubstitute\n"
"\n"
"#####  TRAILING LETTERS:\n"
"# They can have the flags:\n"
"#  e    -- drop metadata\n"
"#  g    -- apply substitution globally\n"
"#  i    -- ignore case\n"
"#  s    -- save track\n"
"#  x    -- exclude track\n"
"#  A{n} -- match group N is the artist\n"
"#  C{n} -- match group N is the album\n"
"#  N{n} -- match group N is the track number\n"
"#  T{n} -- match group N is the track title\n"
"#  Y{n} -- match group N is the year\n"
"\n"
"####  EXAMPLES AND DEFAULT RULES:\n"
"# Ignore metadata that begins with \"A suivre\"\n"
"# The leading \"m\" says this is a match rule\n"
"# The trailing \"e\" means drop the metadata\n"
"m/^A suivre:/e\n"
"\n"
"# Exclude tracks that contain the given expression\n"
"# The leading \"m\" says this is a match rule\n"
"# The trailing \"x\" means that the track should not be saved (excluded)\n"
"## m/advertisement/x\n"
"\n"
"# Save tracks that contain the given expression\n"
"# The leading \"m\" says this is a match rule\n"
"# The trailing \"s\" means that the track should be saved\n"
"## m/[Ff]unk/s\n"
"\n"
"# The first m//e, m//s or m//x rule that matches determines the \n"
"# action that is performed.  If none match, then by default the file \n"
"# will be saved.  If you prefer having the default being that the \n"
"# files are not saved, include the following rule after all your \n"
"# other m//e, m//s or m//x rules.\n"
"## m//x\n"
"\n"
"# Strip off anything like \"- Mp3Pro\" from the end of the string\n"
"# The leading \"s\" says this is a substitution rule\n"
"# The trailing \"i\" means case insensitive matching\n"
"s/[[:space:]]*-?[[:space:]]*mp3pro$//i\n"
"\n"
"# Strip off something like \"- \" from the beginning of the string\n"
"s/^[[:space:]]*-[[:space:]]*//\n"
"\n"
"# The strip rules do not have to be after the m//e, m//s and m//x \n"
"# rules.  You can interleave them.  Rules are always processed\n"
"# in order.\n"
"\n"
"# This is the normal parsing rule: \"Artist - Title\"\n"
"# The trailing \"A1\" means that the artist (A) matches subpattern 1\n"
"# The trailing \"T2\" means that the title (T) matches subpattern 2\n"
"m/^[[:space:]]*(.*?[^-[:space:]])[[:space:]]+-[[:space:]]+(.*)[[:space:]]*$/A1T2\n"
"m/^[[:space:]]*([^-]*[^-[:space:]])[[:space:]]*-[[:space:]]*(.*)[[:space:]]*$/A1T2\n"
"\n"
"# This is slightly different parsing rule: \"Artist, Title\"\n"
"## m/^[[:space:]]*([^,]*[^,[:space:]])[[:space:]]*,[[:space:]]*(.*)[[:space:]]*$/A1T2\n"
"\n"
"# After the first match with an m//A or m//T rule, no more rules \n"
"# will be checked.\n"
"\n"
"# If the metadata does not match any of the \"m\" rules, then the remaining \n"
"# metadata string (with substitutions) is entered into the \"Title\" field.\n"
"" ) );
  mParseRulesItem->setLabel( i18nc("@info:whatsthis", "Custom parse rules") );
  mParseRulesItem->setWhatsThis( i18nc("@info:whatsthis", "Use a custom script to process the meta data. This way you can fine-tune the way KStreamRipper interprets the metadata.") );
  addItem( mParseRulesItem, QLatin1String( "parseRules" ) );

  setCurrentGroup( QLatin1String( "saving" ) );

  mWriteSingleFileItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "writeSingleFile" ), mWriteSingleFile, false );
  mWriteSingleFileItem->setLabel( i18nc("@info:whatsthis", "write single file") );
  mWriteSingleFileItem->setWhatsThis( i18nc("@info:whatsthis", "Write one big file of the stream that is recorded. It contains the meta data as streamed ID3 for every new track.") );
  addItem( mWriteSingleFileItem, QLatin1String( "writeSingleFile" ) );
  QList<KConfigSkeleton::ItemEnum::Choice2> valuessingleFileOverwrite;
  {
    KConfigSkeleton::ItemEnum::Choice2 choice;
    choice.name = QLatin1String("Always");
    valuessingleFileOverwrite.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice2 choice;
    choice.name = QLatin1String("Never");
    valuessingleFileOverwrite.append( choice );
  }
  mSingleFileOverwriteItem = new KConfigSkeleton::ItemEnum( currentGroup(), QLatin1String( "singleFileOverwrite" ), mSingleFileOverwrite, valuessingleFileOverwrite, EnumSingleFileOverwrite::Always );
  mSingleFileOverwriteItem->setLabel( i18nc("@info:whatsthis", "override existing single file") );
  mSingleFileOverwriteItem->setWhatsThis( i18nc("@info:whatsthis", "When writing a single file, overwrite an existing file of the same name.") );
  addItem( mSingleFileOverwriteItem, QLatin1String( "singleFileOverwrite" ) );
  mWriteSplittedFilesItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "writeSplittedFiles" ), mWriteSplittedFiles, true );
  mWriteSplittedFilesItem->setLabel( i18nc("@info:whatsthis", "write split files") );
  mWriteSplittedFilesItem->setWhatsThis( i18nc("@info:whatsthis", "(Try to) split the stream automatically in particular tracks and write each track in it is own file.") );
  addItem( mWriteSplittedFilesItem, QLatin1String( "writeSplittedFiles" ) );
  mTruncateDuplicatesInIncompleteItem = new KConfigSkeleton::ItemBool( currentGroup(), QLatin1String( "truncateDuplicatesInIncomplete" ), mTruncateDuplicatesInIncomplete, true );
  mTruncateDuplicatesInIncompleteItem->setLabel( i18nc("@info:whatsthis 'truncate' means: 'delete the _content_ of the file (not the file itself!), resulting in a file of 0 byte'", "truncate duplicates in the 'incomplete' directory to 0 bytes") );
  mTruncateDuplicatesInIncompleteItem->setWhatsThis( i18nc("@info:whatsthis 'truncate' means: 'delete the _content_ of the file (not the file itself!), resulting in a file of 0 byte'", "Should duplicate files (that do not get moved from the incomplete directory to the destination directory) be truncated to 0 bytes? (This option has only effect, when you do not override split files _always_.)") );
  addItem( mTruncateDuplicatesInIncompleteItem, QLatin1String( "truncateDuplicatesInIncomplete" ) );
  mSplittedFilesPrepadItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "splittedFilesPrepad" ), mSplittedFilesPrepad, 300 );
  mSplittedFilesPrepadItem->setMinValue(0);
  mSplittedFilesPrepadItem->setMaxValue(32767);
  mSplittedFilesPrepadItem->setLabel( i18nc("@info:whatsthis", "section of the previous track which is saved also (ms)") );
  mSplittedFilesPrepadItem->setWhatsThis( i18nc("@info:whatsthis", "To be sure to have complete tracks (especially when the stream uses crossfading - as do most radio stations), you can also write the last section of the previous track to each file. (So this part is written to 2 different files.)") );
  addItem( mSplittedFilesPrepadItem, QLatin1String( "splittedFilesPrepad" ) );
  mSplittedFilesPostpadItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "splittedFilesPostpad" ), mSplittedFilesPostpad, 300 );
  mSplittedFilesPostpadItem->setMinValue(0);
  mSplittedFilesPostpadItem->setMaxValue(32767);
  mSplittedFilesPostpadItem->setLabel( i18nc("@info:whatsthis", "section of the next track which is saved also (ms)") );
  mSplittedFilesPostpadItem->setWhatsThis( i18nc("@info:whatsthis", "To be sure to have complete tracks (especially when the stream uses crossfading - as do most radio stations), you can also write the first section of the next track to each file. (So this part is written to 2 different files.)") );
  addItem( mSplittedFilesPostpadItem, QLatin1String( "splittedFilesPostpad" ) );
  mSkipFirstXTracksItem = new KConfigSkeleton::ItemULongLong( currentGroup(), QLatin1String( "skipFirstXTracks" ), mSkipFirstXTracks, 1 );
  mSkipFirstXTracksItem->setMinValue(0);
  mSkipFirstXTracksItem->setMaxValue(32767);
  mSkipFirstXTracksItem->setLabel( i18nc("@info:whatsthis", "tracks to skip before recording") );
  mSkipFirstXTracksItem->setWhatsThis( i18nc("@info:whatsthis", "Sometimes streams start (individually) with a new track. But usually, they start in the middle of a track. And some streams play additionally an intro when connecting. With this option, you can fine-tune how many tracks are skipped at the begin because they are useless.") );
  addItem( mSkipFirstXTracksItem, QLatin1String( "skipFirstXTracks" ) );
  QList<KConfigSkeleton::ItemEnum::Choice2> valuessplittedFilesOverwrite;
  {
    KConfigSkeleton::ItemEnum::Choice2 choice;
    choice.name = QLatin1String("Always");
    valuessplittedFilesOverwrite.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice2 choice;
    choice.name = QLatin1String("Larger");
    valuessplittedFilesOverwrite.append( choice );
  }
  {
    KConfigSkeleton::ItemEnum::Choice2 choice;
    choice.name = QLatin1String("Never");
    valuessplittedFilesOverwrite.append( choice );
  }
  mSplittedFilesOverwriteItem = new KConfigSkeleton::ItemEnum( currentGroup(), QLatin1String( "splittedFilesOverwrite" ), mSplittedFilesOverwrite, valuessplittedFilesOverwrite, EnumSplittedFilesOverwrite::Larger );
  mSplittedFilesOverwriteItem->setLabel( i18nc("@info:whatsthis", "Overwrite existing files?") );
  mSplittedFilesOverwriteItem->setWhatsThis( i18nc("@info:whatsthis", "When the stream sends a track with the same metadata another time (tink of a track which is played twice while you are recording), the files will have (probably) the same name. Should the old one be overwritten?") );
  addItem( mSplittedFilesOverwriteItem, QLatin1String( "splittedFilesOverwrite" ) );
}

settings_stream::~settings_stream()
{
}

