/*
    Copyright (C) 2008-2010  Lukas Sommer < SommerLuk at gmail dot com >

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License or (at your option) version 3 or any later version
    accepted by the membership of KDE e.V. (or its successor approved
    by the membership of KDE e.V.), which shall act as a proxy
    defined in Section 14 of version 3 of the license.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QEXTENDEDLIST_H
#define QEXTENDEDLIST_H

#include <QList>

/** \brief An extended QList.
*
* This template class is an extended version of Qt's well-known QList template class.
* \note This class consists only of the header file, there is no implementation. As
* the code for template-based classes is generated by the compliner in the moment when
* it parses an instantiation of the template (and \e not by compiling an .o file
* because this could not have a specific type), there exists no implementation. And
* the \e template for the implementation is part of the header file. */
template <typename T> class QExtendedList : public QList<T>
{
  public:
    /** The constructor. */
    QExtendedList();
    /** The destructor. */
    virtual ~QExtendedList();
    /** Removes all duplicates.
    * \note This function requires the value type to have an implementation
    * of <tt>operator==()</tt>. */
    void removeDuplicates();
};

template <typename T> QExtendedList<T>::QExtendedList() : QList<T>()
{
}

template <typename T> QExtendedList<T>::~QExtendedList()
{
}

template <typename T> void QExtendedList<T>::removeDuplicates()
{
  // TODO implement me
}

#endif // QEXTENDEDLIST_H
