/*
    Copyright (C) 2008-2010  Lukas Sommer < SommerLuk at gmail dot com >

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License or (at your option) version 3 or any later version
    accepted by the membership of KDE e.V. (or its successor approved
    by the membership of KDE e.V.), which shall act as a proxy
    defined in Section 14 of version 3 of the license.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FOLDERPROPERTIES_H
#define FOLDERPROPERTIES_H

#include "ui_folderproperties.h"
#include <QWidget>

/** \brief A widget to manipulate folder properties.
*
* Actually, it only provides a field for the name. */
class folderProperties
  : public QWidget, private Ui::folderProperties
{

  Q_OBJECT

  public:
    /** The constructor.
    * @param parent The parent. */
    folderProperties(QWidget *parent=0);
    /** The destructor. */
    virtual ~folderProperties();
    /** Sets the text of the line editor.
    * @param text The text that will be set. */
    void setText(const QString & text);
    /** @returns The text of the line editor. */
    QString text() const;
};

#endif
