/*
    Copyright (C) 2008-2010  Lukas Sommer < SommerLuk at gmail dot com >

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License or (at your option) version 3 or any later version
    accepted by the membership of KDE e.V. (or its successor approved
    by the membership of KDE e.V.), which shall act as a proxy
    defined in Section 14 of version 3 of the license.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "streamdirectorydockwidget.h"

#include <KLocale>
#include "icecast.h"
#include "streamdirectoryproxymodel.h"

streamdirectoryDockwidget::streamdirectoryDockwidget(QWidget *parent) : QDockWidget(parent)
{
  setupUi(this);
  setAllowedAreas(Qt::LeftDockWidgetArea | Qt::RightDockWidgetArea | Qt::BottomDockWidgetArea);
  icecast *m_icecast_model = new icecast(m_directoryView);
  streamDirectoryProxyModel *m_proxy_model = new streamDirectoryProxyModel(m_icecast_model);
  m_proxy_model->setSourceModel(m_icecast_model);
  m_directoryView->setModel(m_proxy_model);
  m_directoryView->setVerticalScrollMode(QAbstractItemView::ScrollPerPixel);
  m_directoryView->setHorizontalScrollMode(QAbstractItemView::ScrollPerPixel);
  m_directoryView->setAnimated(true);
  m_directoryView->setAlternatingRowColors(true);
  m_directoryView->setSortingEnabled(true);
  m_directoryView->setUniformRowHeights(true); // makes the widget more performant
  m_directoryView->setSelectionMode(QAbstractItemView::ExtendedSelection);
  m_directoryView->setDragEnabled(true);
  kcombobox->insertItem(
    0,
    i18nc("@item:inlistbox The URL of Icecast. Normally, needs no translation. Just copy the URL.",
          "icecast.org"));
}

streamdirectoryDockwidget::~streamdirectoryDockwidget()
{
}

void streamdirectoryDockwidget::closeEvent(QCloseEvent *event)
{
  emit willAcceptCloseEventFromWindowSystem();
  event->accept();
}
