/*
    Copyright (C) 2008-2010  Lukas Sommer < SommerLuk at gmail dot com >

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License or (at your option) version 3 or any later version
    accepted by the membership of KDE e.V. (or its successor approved
    by the membership of KDE e.V.), which shall act as a proxy
    defined in Section 14 of version 3 of the license.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef STREAMDIRECTORYDOCKWIDGET_H
#define STREAMDIRECTORYDOCKWIDGET_H

#include <QDockWidget>
#include <QCloseEvent>
#include "ui_streamdirectorydockwidget.h"

/** \brief A dock containing a stream directory
*
*  This class provides a dock widget which contains a stream directory for
*  various websites. */
class streamdirectoryDockwidget : public QDockWidget, private Ui::streamdirectoryDockwidget
{

  Q_OBJECT

  public:
    /** The constructor.
    * \param parent The parent of this object. */
    explicit streamdirectoryDockwidget(QWidget *parent = 0);
    /** The destructor. */
    virtual ~streamdirectoryDockwidget();

  signals:
    /** Emitted by #closeEvent() before accepting the event.
    * @param valueFalse Is always false. */
    void willAcceptCloseEventFromWindowSystem(bool valueFalse = false);

  protected:
    /** Reimplemented from base class. Emits #willAcceptCloseEventFromWindowSystem and accepts
    *   the event. */
    virtual void closeEvent(QCloseEvent *event);

};

#endif
